Auto-generate the man page
authorColin Clark <cclark@carbon>
Tue, 16 Nov 2021 12:35:35 +0000 (12:35 +0000)
committerColin Clark <cclark@carbon>
Tue, 16 Nov 2021 12:35:35 +0000 (12:35 +0000)
Auto-generate the man page and the Command Line Options section of the
Help file

Additionally:
- exclude options not preceded by a hyphen from the --help output (but
still process the option)
 - --help outputs both main and remote options
 - include only command line options in the man page
 - fix Lua Api Help file problem

CHECKLIST.md
CODING.md
README.md
doc/Makefile.am
doc/docbook/CommandLineOptions.xml [new file with mode: 0644]
doc/docbook/GuideReferenceCommandLine.xml
geeqie.1
scripts/generate-man-page.sh [new file with mode: 0755]
src/main.c
src/remote.c

index b386c58..b6b28d7 100644 (file)
@@ -19,6 +19,12 @@ make update-po
 ```
 
 After compiling the sources, carry out the following actions when necessary:
+* Update the man page and Command Line Options section in Help
+```sh
+./scripts/generate-man-page.sh
+```
+
+*  Commit the changes
 
 * Generate a new AppImage (note that this should be run on a **20.04 system**)
 ```sh
index 9e6bec0..d19eb0e 100644 (file)
--- a/CODING.md
+++ b/CODING.md
@@ -216,6 +216,10 @@ align-pointer=name
 align-reference=name
 ```
 
+### check-compiles.sh
+
+This shell script is part of the Geeqie project and will compile Geeqie with various options.
+
 ### cppcheck
 
 A lint-style program may be used, e.g.
@@ -233,12 +237,14 @@ unusedFunction
 unmatchedSuppression
 ```
 
-### shellcheck
+### generate-man-page.sh
 
-Shell scripts may also be validated, e.g.
+This script is part of the Geeqie project and should be used to generate the Geeqie man page from Geeqie's command line
+help output and also update the Command Line Options section of the Help files.
+The programs help2man and doclifter are required - both are available as .deb packages.
 
 ```sh
-shellcheck --enable=add-default-case,avoid-nullary-conditions,check-unassigned-uppercase,deprecate-which,quote-safe-variables
+./scripts/generate-man-page.sh
 ```
 
 ### markdownlint
@@ -255,13 +261,17 @@ rule 'MD010', :code_blocks => true
 exclude_rule 'MD013'
 ```
 
-### xmllint
+### shellcheck
 
-The .xml Help files may be validated with e.g. `xmllint`.
+Shell scripts may also be validated, e.g.
 
-### check-compiles.sh
+```sh
+shellcheck --enable=add-default-case,avoid-nullary-conditions,check-unassigned-uppercase,deprecate-which,quote-safe-variables
+```
 
-This shell script is part of the Geeqie project and will compile Geeqie with various options.
+### xmllint
+
+The .xml Help files may be validated with e.g. `xmllint`.
 
 ---
 
index 6c09b12..7897ab1 100644 (file)
--- a/README.md
+++ b/README.md
@@ -286,6 +286,10 @@ And either the ChangeLog file or [Geeqie ChangeLog](http://geeqie.org/cgi-bin/gi
     yelp-tools
         For creating the Help files
 
+    help2man
+    doclifter
+        For creating the man pages and some Help files
+
 ### Code hackers:
 
 If you plan on making any major changes to the code that will be offered for
index a09a809..c833fac 100644 (file)
@@ -20,7 +20,8 @@ install-data-hook: html
                cd $(srcdir)/html; for f in * ; do $(INSTALL_DATA) "$$f" "$(DESTDIR)$(helpdir)/$$f" ; done; \
                ln -s -f GuideIndex.html "$(DESTDIR)$(helpdir)/index.html" ; \
                $(MKDIR_P) "$(DESTDIR)$(helpdir)/lua-api" || exit 1; \
-               cd ./lua-api/html; for f in * ; do $(INSTALL_DATA) "$$f" "$(DESTDIR)$(helpdir)/lua-api/$$f" ; done; \
+               $(MKDIR_P) "$(DESTDIR)$(helpdir)/lua-api/html" || exit 1; \
+               cd ./lua-api/html; for f in * ; do $(INSTALL_DATA) "$$f" "$(DESTDIR)$(helpdir)/lua-api/html/$$f" ; done; \
        fi
 
 uninstall-hook:
diff --git a/doc/docbook/CommandLineOptions.xml b/doc/docbook/CommandLineOptions.xml
new file mode 100644 (file)
index 0000000..04dd0fa
--- /dev/null
@@ -0,0 +1,452 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+                   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd">
+<!-- lifted from man+troff by doclifter -->
+<refentry id='geeqie1'>
+<!-- DO NOT MODIFY THIS FILE!  It was generated by help2man 1.48.4. -->
+<refmeta>
+<refentrytitle>GEEQIE</refentrytitle>
+<manvolnum>1</manvolnum>
+<refmiscinfo class='source'>November 2021</refmiscinfo>
+<refmiscinfo class='manual'>Geeqie 1.6+git20211107-31197b3d GTK3</refmiscinfo>
+</refmeta>
+<refnamediv>
+<refname>Geeqie</refname>
+<refpurpose>GTK based multiformat image viewer</refpurpose>
+</refnamediv>
+<!-- body begins here -->
+<refsynopsisdiv id='synopsis'>
+<cmdsynopsis>
+  <command>geeqie</command>    
+    <arg choice='opt'><replaceable>options</replaceable></arg>
+    <arg choice='opt'><replaceable>path</replaceable></arg>
+</cmdsynopsis>
+</refsynopsisdiv>
+
+
+<refsect1 id='description'><title>DESCRIPTION</title>
+<para>Geeqie is an interactive GTK based image viewer that supports multiple image formats,
+zooming, panning, thumbnails and sorting images into collections.</para>
+
+<para>Generated for version:</para>
+
+<para>Geeqie 1.6+git20211107-31197b3d</para>
+
+<refsect2 id='valid_options'><title>Valid options:</title>
+<variablelist remap='TP'>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--blank</emphasis></term>
+  <listitem>
+<para>start with blank file list</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--cache-maintenance</emphasis> &lt;path&gt;</term>
+  <listitem>
+<para>run cache maintenance in non-GUI mode</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--disable-clutter</emphasis></term>
+  <listitem>
+<para>disable use of Clutter library (i.e. GPU accel.)</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-f</emphasis>, <emphasis role='strong' remap='B'>--fullscreen</emphasis></term>
+  <listitem>
+<para>start in full screen mode</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--geometry</emphasis>=<emphasis remap='I'>WxH</emphasis>+XOFF+YOFF</term>
+  <listitem>
+<para>set main window location</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-h</emphasis>, <emphasis role='strong' remap='B'>--help</emphasis></term>
+  <listitem>
+<para>show this message</para>
+  </listitem>
+  </varlistentry>
+</variablelist>
+
+<para><emphasis role='strong' remap='B'>-l</emphasis>, <emphasis role='strong' remap='B'>--list</emphasis> [files] [collections] open collection window for command line</para>
+<variablelist remap='TP'>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-n</emphasis>, <emphasis role='strong' remap='B'>--new-instance</emphasis></term>
+  <listitem>
+<para>open a new instance of Geeqie</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-o</emphasis>:, <emphasis role='strong' remap='B'>--log-file</emphasis>:&lt;file&gt;</term>
+  <listitem>
+<para>save log data to file</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-r</emphasis>, <emphasis role='strong' remap='B'>--remote</emphasis></term>
+  <listitem>
+<para>send following commands to open window</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-rh</emphasis>, <emphasis role='strong' remap='B'>--remote-help</emphasis></term>
+  <listitem>
+<para>print remote command list</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-s</emphasis>, <emphasis role='strong' remap='B'>--slideshow</emphasis></term>
+  <listitem>
+<para>start in slideshow mode</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term>+t, <emphasis role='strong' remap='B'>--with-tools</emphasis></term>
+  <listitem>
+<para>force show of tools</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-t</emphasis>, <emphasis role='strong' remap='B'>--without-tools</emphasis></term>
+  <listitem>
+<para>force hide of tools</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-v</emphasis>, <emphasis role='strong' remap='B'>--version</emphasis></term>
+  <listitem>
+<para>print version info</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term>+w, <emphasis role='strong' remap='B'>--show-log-window</emphasis></term>
+  <listitem>
+<para>show log window</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--debug</emphasis>[=<emphasis remap='I'>level</emphasis>]</term>
+  <listitem>
+<para>turn on debug output</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-g</emphasis>:, <emphasis role='strong' remap='B'>--grep</emphasis>:&lt;regexp&gt;</term>
+  <listitem>
+<para>filter debug output</para>
+  </listitem>
+  </varlistentry>
+</variablelist>
+</refsect2>
+
+<refsect2 id='remote_command_list'><title>Remote command list:</title>
+<variablelist remap='TP'>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-b</emphasis> <emphasis role='strong' remap='B'>--back</emphasis></term>
+  <listitem>
+<para>previous image</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--close-window</emphasis></term>
+  <listitem>
+<para>close window</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--config-load</emphasis>: &lt;FILE&gt;|layout ID</term>
+  <listitem>
+<para>load configuration from FILE</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-cm</emphasis> <emphasis role='strong' remap='B'>--cache-metadata</emphasis></term>
+  <listitem>
+<para>clean the metadata cache</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-cr</emphasis>: <emphasis role='strong' remap='B'>--cache-render</emphasis>:&lt;folder&gt;</term>
+  <listitem>
+<para>render thumbnails</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-crr</emphasis>: <emphasis role='strong' remap='B'>--cache-render-recurse</emphasis>:&lt;folder&gt;</term>
+  <listitem>
+<para>render thumbnails recursively</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-crs</emphasis>: <emphasis role='strong' remap='B'>--cache-render-shared</emphasis>:&lt;folder&gt;</term>
+  <listitem>
+<para>render thumbnails (see Help)</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-crsr</emphasis>: <emphasis role='strong' remap='B'>--cache-render-shared-recurse</emphasis>:&lt;folder&gt;</term>
+  <listitem>
+<para>render thumbnails recursively (see Help)</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-cs</emphasis>: <emphasis role='strong' remap='B'>--cache-shared</emphasis>:clear|clean</term>
+  <listitem>
+<para>clear or clean shared thumbnail cache</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-ct</emphasis>: <emphasis role='strong' remap='B'>--cache-thumbs</emphasis>:clear|clean</term>
+  <listitem>
+<para>clear or clean thumbnail cache</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-d</emphasis> <emphasis role='strong' remap='B'>--delay=</emphasis>&lt;[H:][M:][N][.M]&gt;</term>
+  <listitem>
+<para>set slide show delay to Hrs Mins N.M seconds</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--first</emphasis></term>
+  <listitem>
+<para>first image</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-f</emphasis> <emphasis role='strong' remap='B'>--fullscreen</emphasis></term>
+  <listitem>
+<para>toggle full screen</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--file</emphasis>:&lt;FILE&gt;|&lt;URL&gt;</term>
+  <listitem>
+<para>open FILE or URL, bring Geeqie window to the top</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--File</emphasis>:&lt;FILE&gt;|&lt;URL&gt;</term>
+  <listitem>
+<para>open FILE or URL, do not bring Geeqie window to the top</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-fs</emphasis> <emphasis role='strong' remap='B'>--fullscreen-start</emphasis></term>
+  <listitem>
+<para>start full screen</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-fS</emphasis> <emphasis role='strong' remap='B'>--fullscreen-stop</emphasis></term>
+  <listitem>
+<para>stop full screen</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--geometry=</emphasis>&lt;GEOMETRY&gt;</term>
+  <listitem>
+<para>set window geometry</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-collection</emphasis>:&lt;COLLECTION&gt;</term>
+  <listitem>
+<para>get collection content</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-collection-list</emphasis></term>
+  <listitem>
+<para>get collection list</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-destination</emphasis>:&lt;FILE&gt;</term>
+  <listitem>
+<para>get destination path of FILE (See Plugins Configuration)</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-file-info</emphasis></term>
+  <listitem>
+<para>get file info</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-filelist</emphasis>:[&lt;FOLDER&gt;]</term>
+  <listitem>
+<para>get list of files and class</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-filelist-recurse</emphasis>:[&lt;FOLDER&gt;]</term>
+  <listitem>
+<para>get list of files and class recursive</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-rectangle</emphasis></term>
+  <listitem>
+<para>get rectangle co-ordinates</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-render-intent</emphasis></term>
+  <listitem>
+<para>get render intent</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--get-sidecars</emphasis>:&lt;FILE&gt;</term>
+  <listitem>
+<para>get list of sidecars of FILE</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--id</emphasis>:&lt;ID&gt;</term>
+  <listitem>
+<para>window id for following commands</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--last</emphasis></term>
+  <listitem>
+<para>last image</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--list-add</emphasis>:&lt;FILE&gt;</term>
+  <listitem>
+<para>add FILE to command line collection list</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--list-clear</emphasis></term>
+  <listitem>
+<para>clear command line collection list</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--lua</emphasis>:&lt;FILE&gt;,&lt;lua script&gt;</term>
+  <listitem>
+<para>run lua script on FILE</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--new-window</emphasis></term>
+  <listitem>
+<para>new window</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-n</emphasis> <emphasis role='strong' remap='B'>--next</emphasis></term>
+  <listitem>
+<para>next image</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--pixel-info</emphasis></term>
+  <listitem>
+<para>print pixel info of mouse pointer on current image</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--print0</emphasis></term>
+  <listitem>
+<para>terminate returned data with null character instead of newline</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--PWD</emphasis>:&lt;PWD&gt;</term>
+  <listitem>
+<para>use PWD as working directory for following commands</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-q</emphasis> <emphasis role='strong' remap='B'>--quit</emphasis></term>
+  <listitem>
+<para>quit</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--raise</emphasis></term>
+  <listitem>
+<para>bring the Geeqie window to the top</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-s</emphasis> <emphasis role='strong' remap='B'>--slideshow</emphasis></term>
+  <listitem>
+<para>toggle slide show</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--slideshow-recurse</emphasis>:&lt;FOLDER&gt;</term>
+  <listitem>
+<para>start recursive slide show in FOLDER</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-ss</emphasis> <emphasis role='strong' remap='B'>--slideshow-start</emphasis></term>
+  <listitem>
+<para>start slide show</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-sS</emphasis> <emphasis role='strong' remap='B'>--slideshow-stop</emphasis></term>
+  <listitem>
+<para>stop slide show</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--tell</emphasis></term>
+  <listitem>
+<para>print filename [and Collection] of current image</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term>+t <emphasis role='strong' remap='B'>--tools-show</emphasis></term>
+  <listitem>
+<para>show tools</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>-t</emphasis> <emphasis role='strong' remap='B'>--tools-hide</emphasis></term>
+  <listitem>
+<para>hide tools</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><emphasis role='strong' remap='B'>--view</emphasis>:&lt;FILE&gt;</term>
+  <listitem>
+<para>open FILE in new window</para>
+
+<para>All other command line parameters are used as plain files if they exist.</para>
+
+<para>The name of a collection, with or without either path or extension (.gqv) may be used.</para>
+  </listitem>
+  </varlistentry>
+</variablelist>
+</refsect2>
+</refsect1>
+
+<refsect1 id='bugs'><title>BUGS</title>
+<para>Please send bug reports and feedback to https://github.com/BestImageViewer/geeqie/issues</para>
+</refsect1>
+
+<refsect1 id='copyright'><title>COPYRIGHT</title>
+<para>Copyright (C) 1999-2004 by John Ellis. Copyright (C) 2004-2021 by The Geeqie Team. Use this software  at  your
+own  risk! This  software released under the GNU General Public License. Please read the COPYING file for more
+information.</para>
+</refsect1>
+
+<refsect1 id='see_also'><title>SEE ALSO</title>
+<para>Full documentation: https://www.geeqie.org/help/GuideIndex.html</para>
+</refsect1>
+</refentry>
+
index 6dda1b9..5fdf575 100644 (file)
@@ -2,415 +2,6 @@
 <section id="GuideReferenceCommandLine">
   <title>Command Line Options</title>
   <para>
-    Geeqie is called by the command:
-    <programlisting>
-      geeqie [options] [path_to_file_or_collection]
-      <footnote id='ref1'>The name of a collection, with or without either path or extension (.gqv) may be used. If a path is not used and there is a name conflict with a file or folder, that will take precedence.</footnote>
-    </programlisting>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="CommandLineOptions.xml" />
   </para>
-  <para>You may also use a URL as a filename. The file will be downloaded to a temporary file and displayed.</para>
-  <para>These are the command line options available to Geeqie:</para>
-  <table frame="all">
-    <tgroup cols="3" rowsep="1" colsep="1">
-      <thead rowsep="1" colsep="1">
-        <row>
-          <entry>Short Option</entry>
-          <entry>Long Option</entry>
-          <entry>Description</entry>
-        </row>
-      </thead>
-      <tbody rowsep="1" colsep="1">
-        <row>
-          <entry>+t</entry>
-          <entry>--with-tools</entry>
-          <entry>Show file list, menu, and statusbar.</entry>
-        </row>
-        <row>
-          <entry>-t</entry>
-          <entry>--without-tools</entry>
-          <entry>Hide file list, menu, and statusbar. Window contains image only.</entry>
-        </row>
-        <row>
-          <entry>-f</entry>
-          <entry>--fullscreen</entry>
-          <entry>Start up in fullscreen.</entry>
-        </row>
-        <row>
-          <entry>-s</entry>
-          <entry>--slideshow</entry>
-          <entry>Start up in slideshow mode.</entry>
-        </row>
-        <row>
-          <entry>-l [filelist] [collectionlist]</entry>
-          <entry>--list [filelist] [collectionlist]</entry>
-          <entry>Open collection window containing images specified on the command line. Any collections on the command line will also be appended to this collection.</entry>
-        </row>
-        <row>
-          <entry />
-          <entry>--blank</entry>
-          <entry>Start with file list blank.</entry>
-        </row>
-        <row>
-          <entry />
-          <entry>--geometry=&lt;w&gt;x&lt;h&gt;+&lt;x&gt;+&lt;y&gt;</entry>
-          <entry>Set the &lt;width&gt; &lt;height&gt; &lt;xoffset&gt; &lt;yoffset&gt; of the window. The parameters are in pixels.</entry>
-        </row>
-        <row>
-          <entry>-n</entry>
-          <entry>--new-instance</entry>
-          <entry>Open a new instance of Geeqie.</entry>
-        </row>
-        <row>
-          <entry>-r</entry>
-          <entry>--remote</entry>
-          <entry>Send command line options to existing Geeqie process.</entry>
-        </row>
-        <row>
-          <entry>-rh</entry>
-          <entry>--remote-help</entry>
-          <entry>List command line options available to --remote.</entry>
-        </row>
-        <row>
-          <entry>-h</entry>
-          <entry>--help</entry>
-          <entry>Display brief command line option list.</entry>
-        </row>
-        <row>
-          <entry>-v</entry>
-          <entry>--version</entry>
-          <entry>Display version of Geeqie.</entry>
-        </row>
-        <row>
-          <entry />
-          <entry>--debug[=&lt;level&gt;]</entry>
-          <entry>Turn on debugging output (when compiled with Debug enabled). &lt;level&gt; is 0 to 4.</entry>
-        </row>
-        <row>
-          <entry>-g:&lt;regexp&gt;</entry>
-          <entry>--grep:&lt;regexp&gt;</entry>
-          <entry>Filter debug output with regular expression</entry>
-        </row>
-        <row>
-          <entry>+w</entry>
-          <entry>--show-log-window</entry>
-          <entry>Display log window</entry>
-        </row>
-        <row>
-          <entry>-o:&lt;file&gt;</entry>
-          <entry>--log-file:&lt;file&gt;</entry>
-          <entry>Save log data to file</entry>
-        </row>
-        <row>
-          <entry />
-          <entry>--alternate</entry>
-          <entry>Use alternate similarity algorithm - experimental - requires re-compile.</entry>
-        </row>
-        <row>
-          <entry />
-          <entry>--disable-clutter</entry>
-          <entry>Disable use of Clutter library (i.e. GPU accel.). If the Clutter library is compiled into Geeqie but Clutter fails to initialize, it is necessary to start Geeqie with this option.</entry>
-        </row>
-        <row>
-          <entry />
-          <entry>--cache-maintenance &lt;path&gt;</entry>
-          <entry>
-            Run cache maintenance
-            <footnote id='cachemaintenance'>
-              <para><link linkend="CacheMaintenance">Cache Maintenance</link>.</para>
-            </footnote>
-            in non-GUI mode.
-          </entry>
-        </row>
-      </tbody>
-    </tgroup>
-  </table>
-  <para />
-  <section id="Remotecommands">
-    <title>Remote commands</title>
-    <para>The --remote command line option will send all entered commands to an existing Geeqie process, a new process will be started if one does not exist. These are the additional commands that can be used with the remote command:</para>
-    <table frame="all">
-      <tgroup cols="3" rowsep="1" colsep="1">
-        <thead rowsep="1" colsep="1">
-          <row>
-            <entry>Short Option</entry>
-            <entry>Long Option</entry>
-            <entry>Description</entry>
-          </row>
-        </thead>
-        <tbody>
-          <row>
-            <entry>-n</entry>
-            <entry>--next</entry>
-            <entry>Change main window to display next image.</entry>
-          </row>
-          <row>
-            <entry>-b</entry>
-            <entry>--back</entry>
-            <entry>Change main window to display previous image.</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--first</entry>
-            <entry>Change main window to display first image.</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--last</entry>
-            <entry>Change main window to display last image.</entry>
-          </row>
-          <row>
-            <entry>-f</entry>
-            <entry>--fullscreen</entry>
-            <entry>Toggle full screen mode of the main window.</entry>
-          </row>
-          <row>
-            <entry>-fs</entry>
-            <entry>--fullscreen-start</entry>
-            <entry>Start full screen mode for main window.</entry>
-          </row>
-          <row>
-            <entry>-fS</entry>
-            <entry>--fullscreen-stop</entry>
-            <entry>Stop full screen mode for main window.</entry>
-          </row>
-          <row>
-            <entry>-s</entry>
-            <entry>--slideshow</entry>
-            <entry>Toggle slide show for main window.</entry>
-          </row>
-          <row>
-            <entry>-ss</entry>
-            <entry>--slideshow-start</entry>
-            <entry>Start slide show for main window.</entry>
-          </row>
-          <row>
-            <entry>-sS</entry>
-            <entry>--slideshow-stop</entry>
-            <entry>Stop slide show for main window.</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--slideshow-recurse:&lt;folder&gt;</entry>
-            <entry>Start recursive slide show for &lt;folder&gt; in main window.</entry>
-          </row>
-          <row>
-            <entry>-d&lt;[h:][m:][n][.m]&gt;</entry>
-            <entry>--delay=&lt;[h:][m:][n][.m]&gt;</entry>
-            <entry>Set slide show delay to &lt;[hrs:][mins:][n][.m]&gt; seconds, range is 0.1 secs to 24 hours</entry>
-          </row>
-          <row>
-            <entry>+t</entry>
-            <entry>--tools-show</entry>
-            <entry>Show tools for main window.</entry>
-          </row>
-          <row>
-            <entry>-t</entry>
-            <entry>--tools-hide</entry>
-            <entry>Hide tools for main window.</entry>
-          </row>
-          <row>
-            <entry>-q</entry>
-            <entry>--quit</entry>
-            <entry>Quit Geeqie.</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--config-load:&lt;file&gt;|layout ID</entry>
-            <entry>Load configuration from &lt;file&gt;. Use either a full path, or a saved window layout ID.</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-sidecars:&lt;file&gt;</entry>
-            <entry>Get list of sidecars of &lt;file&gt;.</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-destination:&lt;file&gt;</entry>
-            <entry>Get destination path of &lt;file&gt;. This is used by the symlink desktop file to implement the symbolic link operation. There is no useful function for the user.</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>file:&lt;file&gt;|&lt;URL&gt;</entry>
-            <entry>Open  &lt;file&gt; or &lt;URL&gt; and bring Geeqie window to the top</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--file:&lt;file&gt;|&lt;URL&gt;</entry>
-            <entry>Open  &lt;file&gt; or &lt;URL&gt; and bring Geeqie window to the top</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>File:&lt;file&gt;|&lt;URL&gt;</entry>
-            <entry>Open  &lt;file&gt; or &lt;URL&gt; and do not bring Geeqie window to the top</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--File:&lt;file&gt;|&lt;URL&gt;</entry>
-            <entry>Open  &lt;file&gt; or &lt;URL&gt; and do not bring Geeqie window to the top</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--tell</entry>
-            <entry>Print filename [and Collection] of current image</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--pixel-info</entry>
-            <entry>Print X, Y and RGB of mouse pointer on current image</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-rectangle</entry>
-            <entry>Get rectangle coordinates</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-render-intent</entry>
-            <entry>Get render intent</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-filelist:[&lt;FOLDER&gt;]</entry>
-            <entry>Get list of files and class</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-filelist-recurse:[&lt;FOLDER&gt;]</entry>
-            <entry>Get list of files and class recursive</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-collection:&lt;COLLECTION&gt;</entry>
-            <entry>Get collection content</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-collection-list</entry>
-            <entry>Get collection list</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--get-file-info</entry>
-            <entry>
-              Get file info
-              <footnote id='fileinfo'>
-                <para>File info consists of: class, no. of pages (if multi-page image), (and if exif exists) country name, country code, timezone, local time.</para>
-              </footnote>
-            </entry>
-          </row>
-          <row>
-            <entry />
-            <entry>view:&lt;file&gt;</entry>
-            <entry>Open new window containing &lt;file&gt;</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--view:&lt;file&gt;</entry>
-            <entry>Open new window containing &lt;file&gt;</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--list-clear</entry>
-            <entry>Clear command line collection list</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--list-add:&lt;file&gt;</entry>
-            <entry>Add &lt;file&gt; to command line collection list</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>raise</entry>
-            <entry>Bring the geeqie window to the top</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--raise</entry>
-            <entry>Bring the geeqie window to the top</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--id:&lt;ID&gt;</entry>
-            <entry>
-              Window ID for following commands
-              <footnote id='ref3'>
-                <para>The ID is shown in the titlebar of the window. If multiple windows are open, it can be used to direct commands to a particular window e.g. --remote --id:main --tell</para>
-              </footnote>
-            </entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--new-window</entry>
-            <entry>Open new window</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--close-window</entry>
-            <entry>Close window</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--geometry=[&lt;w&gt;x&lt;h&gt;][+&lt;x&gt;+&lt;y&gt;]</entry>
-            <entry>Set the &lt;width&gt; &lt;height&gt; &lt;xoffset&gt; &lt;yoffset&gt; of the window. The parameters are in pixels.</entry>
-          </row>
-          <row>
-            <entry>-ct:clear|clean</entry>
-            <entry>--cache-thumbs:clear|clean</entry>
-            <entry>clear or clean thumbnail cache</entry>
-          </row>
-          <row>
-            <entry>-cs:clear|clean</entry>
-            <entry>--cache-shared:clear|clean</entry>
-            <entry>clear or clean shared thumbnail cache</entry>
-          </row>
-          <row>
-            <entry>-cm</entry>
-            <entry>--cache-metadata</entry>
-            <entry>clean the metadata cache</entry>
-          </row>
-          <row>
-            <entry>-cr:&lt;folder&gt;</entry>
-            <entry>--cache-render:&lt;folder&gt;</entry>
-            <entry>render thumbnails</entry>
-          </row>
-          <row>
-            <entry>-crr:&lt;folder&gt;</entry>
-            <entry>--cache-render-recurse:&lt;folder&gt;</entry>
-            <entry>render thumbnails recursively</entry>
-          </row>
-          <row>
-            <entry>-crs:&lt;folder&gt;</entry>
-            <entry>--cache-render-shared:&lt;folder&gt;</entry>
-            <entry>
-              render thumbnails
-              <footnote id='ref2'>
-                <para>If standard thumbnail cache is not enabled, this command will be ignored.</para>
-              </footnote>
-            </entry>
-          </row>
-          <row>
-            <entry>-crsr:&lt;folder&gt;</entry>
-            <entry>--cache-render-shared-recurse:&lt;folder&gt;</entry>
-            <entry>render thumbnails recursively</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--lua:&lt;file&gt;,&lt;lua script&gt;</entry>
-            <entry>run lua script on file</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--PWD:&lt;PWD&gt;</entry>
-            <entry>Use PWD as working directory for following commands</entry>
-          </row>
-          <row>
-            <entry />
-            <entry>--print0</entry>
-            <entry>Terminate returned data with null character instead of newline</entry>
-          </row>
-        </tbody>
-      </tgroup>
-    </table>
-    <para />
-  </section>
 </section>
index 6231ad4..a041f11 100644 (file)
--- a/geeqie.1
+++ b/geeqie.1
-.\"Created with GNOME Manpages Editor
-.\"http://gmanedit.sourceforge.net
-.\"Sergio Rua <srua@gpul.org>
-.\"
-.\"
-.\" Geeqie manual page.
-.\" (C)2004 John Ellis <johne@verizon.net>
-.\"
-.\" This document is free to modify and distribute.
-.\"
-.TH geeqie 1 "Geeqie"
-
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.48.4.
+.TH GEEQIE "1" "November 2021" "Geeqie 1.6+git20211107-31197b3d GTK3" "User Commands"
 .SH NAME
-Geeqie \- GTK based multiformat image viewer
+Geeqie - GTK based multiformat image viewer
 .SH SYNOPSIS
 .B geeqie
-.RI [ options ] 
-.RI [ path ]
-.br
-
+[\fI\,options\/\fR] [\fI\,path\/\fR]
 .SH DESCRIPTION
-\fBGeeqie\fP is an interactive GTK based image viewer that supports multiple image formats, zooming, panning, thumbnails and sorting images into collections.
-
-.SH OPTIONS
-.B
-.IP \+t,\-\-with\-tools
-Force the toolbox to be shown.
-.br
-.B
-.IP \-t,\-\-without\-tools
-Force the toolbox to be hidden.
-.br
-.B
-.IP \-f,\-\-fullscreen
-Start in full screen mode.
-.br
-.B
-.IP \-s,\-\-slideshow
-Start in slideshow mode.
-.br
-.B
-.IP \-l,\-\-list[files...][collections...]
-Open collection window for command line files.
-.br
-.B
-.IP \-\-blank
-Start with blank file list.
-.br
-.B
-.IP \-\-geometry=XxY+XOFF+YOFF
-Set main window location.
-.br
-.B
-.IP \-n,\-\-new-instance
-Open a new instance of Geeqie.
-.br
-.B
-.IP \-r,\-\-remote
-Send following commands to open window.
-.br
-.B
-.IP \-rh,\-\-remote-help
-Print remote command list.
-.br
-.B
-.IP \-\-debug[=level]
-Turn on debugging output.
-.br
-.B
-.IP \-g:<regexp>,\-\-grep:<regexp>
-Filter debug output.
-.br
-.B
-.IP \+w,\-\-show-log-window
-Show log window.
-.br
-.B
-.IP \-o:<FILE>,\-\-log-file:<FILE>
-Save log data to FILE.
-.br
-.B
-.IP \-v,\-\-version
-Print version.
-.br
-.B
-.IP \-h,\-\-help
-Print command line options.
-.br
-.B
-.IP \-\-disable-clutter
-Disable use of Clutter library (i.e. GPU accel.).
-.br
-.B
-.IP \-\-cache-maintenance\ <path>
-Run cache maintenance in non-GUI mode.
-
-.SH REMOTE OPTIONS
-.B
-.IP \-n,\-\-next
-Next image.
-.br
-.B
-.IP \-b,\-\-back
-Previous image.
-.br
-.B
-.IP \-\-first
-First image.
-.br
-.B
-.IP \-\-last
-Last image.
-.br
-.B
-.IP \-f,\-\-fullscreen
-Toggle full screen.
-.br
-.B
-.IP \-fs,\-\-fullscreen-start
-Start full screen.
-.br
-.B
-.IP \-fS,\-\-fullscreen-stop
-Stop full screen.
-.br
-.B
-.IP \-s,\-\-slideshow
-Toggle slideshow.
-.br
-.B
-.IP \-ss,\-\-slideshow-start
-Start slideshow.
-.br
-.B
-.IP \-sS,\-\-slideshow-stop
-Stop slideshow.
-.br
-.B
-.IP \-\-slideshow-recurse:<FOLDER>
-Start recursive slide show in FOLDER.
-.br
-.B
-.IP \-d<[HRS:][MINS:][N][.M]>,\-\-delay=<[hrs:][mins][N][.M]>
-Set slide show delay to Hrs Mins N.M seconds.
-.br
-.B
-.IP \+t,\-\-tools-show
-Show tools.
-.br
-.B
-.IP \-t,\-\-tools-hide
-Hide tools.
-.br
-.B
-.IP \-q,\-\-quit
-Quit.
-.br
-.B
-.IP \-\-config-load:<FILE>|layout\ ID
-Load configuration from FILE.
-.br
-.B
-.IP \-\-get-sidecars:<FILE>
-Get list of sidecars of FILE.
-.br
-.B
-.IP \-\-get-destination:<FILE>
-Get destination path of FILE.
-.br
-.B
-.IP file:<FILE>|<URL>
-Open FILE or URL, bring Geeqie window to the top.
-.br
-.B
-.IP \-\-file:<FILE>|<URL>
-Open FILE or URL, bring Geeqie window to the top.
-.br
-.B
-.IP File:<FILE>|<URL>
-Open FILE or URL, do not bring Geeqie window to the top.
-.br
-.B
-.IP \-\-File:<FILE>|<URL>
-Open FILE or URL, do not bring Geeqie window to the top.
-.br
-.B
-.IP \-\-tell
-Print filename [and Collection] of current image.
-.br
-.B
-.IP \-\-pixel\-info
-Print X, Y and RGB of mouse pointer on current image.
-.br
-.B
-.IP \-\-get\-rectangle
-Get rectangle co-ordinates.
-.br
-.B
-.IP \-\-get\-render\-intent
-Get render intent.
-.br
-.B
-.IP \-\-get\-filelist:[<FOLDER>]
-Get list of files and class.
-.br
-.B
-.IP \-\-get\-filelist-recurse:[<FOLDER>]
-Get list of file and class recursive.
-.br
-.B
-.IP \-\-get\-collection:<COLLECTION>
-Get collection content.
-.br
-.B
-.IP \-\-get\-collection\-list
-Get collection list.
-.br
-.B
-.IP \-\-get\-file\-info
-Get file info.
-.br
-.B
-.IP view:<FILE>
-Open FILE in new window.
-.br
-.B
-.IP \-\-view:<FILE>
-Open FILE in new window.
-.br
-.B
-.IP \-\-list-clear
-Clear command line collection list.
-.br
-.B
-.IP \-\-list-add:<FILE>
-Add FILE to command line collection list.
-.br
-.B
-.IP raise
-Bring the Geeqie window to the top.
-.br
-.B
-.IP \-\-raise
-Bring the Geeqie window to the top.
-.br
-.B
-.IP \-\-id:<ID>
-Window ID for following commands.
-.br
-.B
-.IP \-\-new-window
-Open new window.
-.br
-.B
-.IP \-\-close-window
-Close window.
-.br
-.B
-.IP \-\-geometry=[XxY][+XOFF+YOFF]
-Set window geometry.
-.br
-.B
-.IP \-ct:clear|clean,\-\-cache-thumbs:clear|clean
-Clear or clean thumbnail cache.
-.br
-.B
-.IP \-cs:clear|clean,\-\-cache-shared:clear|clean
-Clear or clean shared thumbnail cache.
-.br
-.B
-.IP \-cm,\-\-cache-metadata
-Clean metadata cache.
-.br
-.B
-.IP \-cr:<folder>,\-\-cache-render:<folder>
-Render thumbnails.
-.br
-.B
-.IP \-crr:<folder>,\-\-cache-render-recurse:<folder>
-Render thumbnails recursively.
-.br
-.B
-.IP \-crs:<folder>,\-\-cache-render-shared:<folder>
-Render thumbnails (see Help).
-.br
-.B
-.IP \-crsr:<folder>,\-\-cache-render-shared-recurse:<folder>
-Render thumbnails recursively (see Help).
-.br
-.B
-.IP \-\-lua:<FILE>,<lua-script>
-Run lua script on FILE.
-.br
-.B
-.IP \-\-PWD:<PWD>
-Use PWD as working directory for following commands.
-.br
-.B
-.IP \-\-print0
-Terminate returned data with null character instead of newline.
-.br
-
-.SH USAGE
-Key naming is similar to that of \fBemacs\fP(1): \fIC-key\fP indicates that control should be held, and key should be pressed; \fIS-key\fP  indicates that shift should be held and key should be pressed; these two can be combined, also, into \fIC-S-key\fP.
-.B
-.IP left-mouse-click
-(on image) next image
-.br
-.B
-.IP middle-mouse-click
-(on image) previous image
-.br
-.B
-.IP right-mouse
-context menu
-.br
-.B
-.IP middle-mouse-drag
-drag and drop operations
-.br
-.B
-.IP mouse-wheel
-(on image) Changes to the next or previous image, or if option is enabled, scrolls the image vertically.
-.br
-.B
-.IP mouse-wheel+Shift-key
-(on image) Inverts the mouse wheel behavior between scrolling image or changing image.
-.br
-.B
-.IP mouse-wheel+Control-key
-(on image) Zooms the image in and out.
-.br
-.SS GENERAL  KEYS
-.B
-.IP PageDown
-next image
-.br
-.B
-.IP PageUp
-previous image
-.br
-.B
-.IP Home                             
-first image in list
-.br
-.B
-.IP End
-last image in list
-.br
-.B
-.IP Tab
-tab completion in path entry window
-.br
-.B
-.IP Escape
-cancel completion in path entry window or stop generating thumbnails
-.br
-.SS IMAGE KEYS
-Keys that are valid when the image part of the window is focused.
-.B
-.IP Arrows
-pan image
-.br
-.B
-.IP Shift+Arrows
-pan image faster
-.br
-.B
-.IP Space,N
-next image
-.br
-.B
-.IP Backspace,B
+Geeqie is an interactive GTK based image viewer that supports multiple image formats,
+zooming, panning, thumbnails and sorting images into collections.
+
+Generated for version:
+.PP
+Geeqie 1.6+git20211107\-31197b3d
+.SS "Valid options:"
+.TP
+\fB\-\-blank\fR
+start with blank file list
+.TP
+\fB\-\-cache\-maintenance\fR <path>
+run cache maintenance in non\-GUI mode
+.TP
+\fB\-\-disable\-clutter\fR
+disable use of Clutter library (i.e. GPU accel.)
+.TP
+\fB\-f\fR, \fB\-\-fullscreen\fR
+start in full screen mode
+.TP
+\fB\-\-geometry\fR=\fI\,WxH\/\fR+XOFF+YOFF
+set main window location
+.TP
+\fB\-h\fR, \fB\-\-help\fR
+show this message
+.HP
+\fB\-l\fR, \fB\-\-list\fR [files] [collections] open collection window for command line
+.TP
+\fB\-n\fR, \fB\-\-new\-instance\fR
+open a new instance of Geeqie
+.TP
+\fB\-o\fR:, \fB\-\-log\-file\fR:<file>
+save log data to file
+.TP
+\fB\-r\fR, \fB\-\-remote\fR
+send following commands to open window
+.TP
+\fB\-rh\fR, \fB\-\-remote\-help\fR
+print remote command list
+.TP
+\fB\-s\fR, \fB\-\-slideshow\fR
+start in slideshow mode
+.TP
++t, \fB\-\-with\-tools\fR
+force show of tools
+.TP
+\fB\-t\fR, \fB\-\-without\-tools\fR
+force hide of tools
+.TP
+\fB\-v\fR, \fB\-\-version\fR
+print version info
+.TP
++w, \fB\-\-show\-log\-window\fR
+show log window
+.TP
+\fB\-\-debug\fR[=\fI\,level\/\fR]
+turn on debug output
+.TP
+\fB\-g\fR:, \fB\-\-grep\fR:<regexp>
+filter debug output
+.SS "Remote command list:"
+.TP
+\fB\-b\fR   \fB\-\-back\fR
 previous image
-.br
-.SS FILE RELATED KEYS
-.B
-.IP C
-new empty collection
-.br
-.B
-.IP O
-open collection
-.br
-.B
-.IP D
-open the Find Duplicates window
-.br
-.B
-.IP C-F
-new folder
-.br
-.B
-.IP C-C
-copy file
-.br
-.B
-.IP C-M
-move file
-.br
-.B
-.IP C-R
-rename file
-.br
-.B
-.IP C-D,Delete
-delete file
-.br
-.B
-.IP C-N
-new window
-.br
-.B
-.IP C-W
+.TP
+\fB\-\-close\-window\fR
 close window
-.br
-.B
-.IP C-Q
+.TP
+\fB\-\-config\-load\fR: <FILE>|layout ID
+load configuration from FILE
+.TP
+\fB\-cm\fR  \fB\-\-cache\-metadata\fR
+clean the metadata cache
+.TP
+\fB\-cr\fR: \fB\-\-cache\-render\fR:<folder>
+render thumbnails
+.TP
+\fB\-crr\fR: \fB\-\-cache\-render\-recurse\fR:<folder>
+render thumbnails recursively
+.TP
+\fB\-crs\fR: \fB\-\-cache\-render\-shared\fR:<folder>
+render thumbnails (see Help)
+.TP
+\fB\-crsr\fR: \fB\-\-cache\-render\-shared\-recurse\fR:<folder>
+render thumbnails recursively (see Help)
+.TP
+\fB\-cs\fR: \fB\-\-cache\-shared\fR:clear|clean
+clear or clean shared thumbnail cache
+.TP
+\fB\-ct\fR: \fB\-\-cache\-thumbs\fR:clear|clean
+clear or clean thumbnail cache
+.TP
+\fB\-d\fR   \fB\-\-delay=\fR<[H:][M:][N][.M]>
+set slide show delay to Hrs Mins N.M seconds
+.TP
+\fB\-\-first\fR
+first image
+.TP
+\fB\-f\fR   \fB\-\-fullscreen\fR
+toggle full screen
+.TP
+\fB\-\-file\fR:<FILE>|<URL>
+open FILE or URL, bring Geeqie window to the top
+.TP
+\fB\-\-File\fR:<FILE>|<URL>
+open FILE or URL, do not bring Geeqie window to the top
+.TP
+\fB\-fs\fR  \fB\-\-fullscreen\-start\fR
+start full screen
+.TP
+\fB\-fS\fR  \fB\-\-fullscreen\-stop\fR
+stop full screen
+.TP
+\fB\-\-geometry=\fR<GEOMETRY>
+set window geometry
+.TP
+\fB\-\-get\-collection\fR:<COLLECTION>
+get collection content
+.TP
+\fB\-\-get\-collection\-list\fR
+get collection list
+.TP
+\fB\-\-get\-destination\fR:<FILE>
+get destination path of FILE (See Plugins Configuration)
+.TP
+\fB\-\-get\-file\-info\fR
+get file info
+.TP
+\fB\-\-get\-filelist\fR:[<FOLDER>]
+get list of files and class
+.TP
+\fB\-\-get\-filelist\-recurse\fR:[<FOLDER>]
+get list of files and class recursive
+.TP
+\fB\-\-get\-rectangle\fR
+get rectangle co\-ordinates
+.TP
+\fB\-\-get\-render\-intent\fR
+get render intent
+.TP
+\fB\-\-get\-sidecars\fR:<FILE>
+get list of sidecars of FILE
+.TP
+\fB\-\-id\fR:<ID>
+window id for following commands
+.TP
+\fB\-\-last\fR
+last image
+.TP
+\fB\-\-list\-add\fR:<FILE>
+add FILE to command line collection list
+.TP
+\fB\-\-list\-clear\fR
+clear command line collection list
+.TP
+\fB\-\-lua\fR:<FILE>,<lua script>
+run lua script on FILE
+.TP
+\fB\-\-new\-window\fR
+new window
+.TP
+\fB\-n\fR   \fB\-\-next\fR
+next image
+.TP
+\fB\-\-pixel\-info\fR
+print pixel info of mouse pointer on current image
+.TP
+\fB\-\-print0\fR
+terminate returned data with null character instead of newline
+.TP
+\fB\-\-PWD\fR:<PWD>
+use PWD as working directory for following commands
+.TP
+\fB\-q\fR   \fB\-\-quit\fR
 quit
-.br
-.SS EDIT MENU RELATED KEYS
-.B
-.IP C-1,2..9,0
-run external editor
-.br
-.B
-.IP C-A
-select all files
-.br
-.B
-.IP C-S-A
-unselect all files
-.br
-.B
-.IP C-O
-go to the Configuration window
-.br
-.B
-.IP C-P
-display image properties
-.br
-.B
-.IP ]
-rotate image clockwise
-.br
-.B
-.IP [
-rotate image counterclockwise
-.br
-.B
-.IP S-R
-rotate image 180 degrees
-.br
-.B
-.IP S-M
-mirror image (horizontal)
-.br
-.B
-.IP S-F
-flip image (vertical)
-.br
-.SS VIEW MENU RELATED KEYS
-.B
-.IP +,=
-zoom in
-.br
-.B
-.IP -
-zoom out
-.br
-.B
-.IP Z,KeyPad-/
-zoom to original size
-.br
-.B
-.IP X,KeyPad-*
-zoom to fit window
-.br
-.B
-.IP 1,2,3,4
-zoom in to X scale factor
-.br
-.B
-.IP 9,8,7
-zoom to \-2, \-3, \-4, respectively
-.br
-.B
-.IP T
-toggle thumbnail display
-.br
-.B
-.IP C-L
-display files in list format
-.br
-.B
-.IP C-I
-display files in icon format
-.br
-.B
-.IP C-T
-toggle tree view for directories
-.br
-.B
-.IP R
-refresh file list
-.br
-.B
-.IP L
-toggle floating of file selection area
-.br
-.B
-.IP H
-toggle hiding of file selection area
-.br
-.B
-.IP F,V
-toggle full-screen mode
-.br
-.B
-.IP S
-toggle slide-show mode
-.br
-.B
-.IP P
-toggle pause of slideshow
-.br
-.B
-.IP C-E
-toggle display of exif sidebar
-.br
-.B
-.IP C-S
-toggle display of sort manager
-.br
-.SS COLLECTION WINDOW KEYS
-.B
-.IP Arrows
-move selection
-.br
-.B
-.IP Shift+Arrows
-select multiple images
-.br
-.B
-.IP Control+Arrows
-move selector without changing selection
-.br
-.B
-.IP Space
-select the image under the selector
-.br
-.B
-.IP Control+Space
-toggle selection of the image under the selector
-.br
-.B
-.IP Home
-move selector to the top image
-.br
-.B
-.IP End
-move selector to bottom image
-.br
-Adding Shift or Control to Home and End has a similar effect as adding them to the arrows.
-.B
-.IP C-A
-select all images
-.br
-.B
-.IP C-S-A
-unselect all images
-.br
-.B
-.IP Delete
-remove image form collection (does not delete the file)
-.br
-.B
-.IP C-L
-add images to collection form main file list
-.br
-.B
-.IP N
-sort collection by name
-.br
-.B
-.IP D
-sort collection by date
-.br
-.B
-.IP B
-sort collection by file size
-.br
-.B
-.IP P
-sort collection by pathname
-.br
-.B
-.IP I
-sort collection by name numerically (*)
-.br
-.B
-.IP Enter
-view image under selector in the main image window
-.br
-.B
-.IP V
-view image under selector in new window
-.br
-.B
-.IP C-1,2..9,0
-open selected image(s) in external editor
-.br
-.B
-.IP S
-save collection
-.br
-.B
-.IP C-S
-save collection as
-.br
-.B
-.IP A
-append current collection to existing collection
-.br
-.B
-.IP C-C
-copy selected files
-.br
-.B
-.IP C-M
-move selected files
-.br
-.B
-.IP C-R
-rename selected files
-.br
-.B
-.IP C-D
-delete selected files
-.br
-.B
-.IP C-W
-close window
-.br
-.SS DUPLICATES WINDOW KEYS
-.B
-.IP C-A
-select all images
-.br
-.B
-.IP C-S-A
-unselect all images
-.br
-.B
-.IP 1
-select group 1 images
-.br
-.B
-.IP 2
-select group 2 images
-.br
-.B
-.IP C-L
-add images from main window file list
-.br
-.B
-.IP C
-add selected images to new collection
-.br
-.B
-.IP Delete
-remove selected images from list
-.br
-.B
-.IP C-Delete
-clear window
-.br
-.B
-.IP Enter
-view image with focus in main window
-.br
-.B
-.IP V
-view image with focus in new window
-.br
-.B
-.IP C-1,2..9,0
-open selected image(s) in editor
-.br
-.B
-.IP C-P
-display properties window for selected images
-.br
-.B
-.IP C-C
-copy selected files
-.br
-.B
-.IP C-M
-move selected files
-.br
-.B
-.IP C-R
-rename selected files
-.br
-.B
-.IP C-D
-delete selected files
-.br
-.B
-.IP C-W
-close window
-.br
-
-.SH FILES
-The following data lists the locations Geeqie uses for various actions. The
-uppercase symbols are environment variables. If they are not set on your system
-the fallback locations are listed in parentheses. Geeqie will first attempt to
-load a configuration file from:
-
-.B /etc/geeqie/geeqierc.xml
-
-It will then continue with the following locations.
-Most of Geeqie's configuration files are contained in the folder, and sub-folders of:
-
-.B $XDG_CONFIG_HOME/geeqie/
-.B (~/.config/geeqie/)
-
-Geeqie's standard configuration file is:
-
-.B .../geeqierc.xml
-
-An alternative configuration file may be used by executing:
-
-.B geeqie -r --config-load:<filename>
-
-Geeqie-created desktop files used by Plugins are in the folder:
-
-.B .../applications
-
-Lua script files for Lua Extensions are in the folder:
-
-.B .../lua
-
-Historic data such as last several folders visited, bookmarks, and recently used collections, as well as default print settings are contained in this text file:
-
-.B .../history
-
-Keyboard shortcut maps are contained in this text file:
-
-.B .../accels
-
-The location for Collections is in the folder:
-
-.B $XDG_DATA_HOME/geeqie/collections
-.br
-.B (~/.local/share/geeqie/collections)
-
-The lirc Infra-red controller configuration file must be located at:
-
-.B $HOME/.lircrc
-
-Thumbnails are stored in a location specified in Thumbnail Preferences
-
-Metadata is stored either in the image file or in the location specified in Safe Delete
-
-The safe delete folder is specified in the Metadata tab of main Preferences
-
-.SH LICENSE
-Copyright (C) 1999-2004 by John Ellis.
-Copyright (C) 2004-2017 by The Geeqie Team.
-Use this software at your own risk!  
-This software released under the GNU General Public License. Please read the COPYING file for more information.
+.TP
+\fB\-\-raise\fR
+bring the Geeqie window to the top
+.TP
+\fB\-s\fR   \fB\-\-slideshow\fR
+toggle slide show
+.TP
+\fB\-\-slideshow\-recurse\fR:<FOLDER>
+start recursive slide show in FOLDER
+.TP
+\fB\-ss\fR  \fB\-\-slideshow\-start\fR
+start slide show
+.TP
+\fB\-sS\fR  \fB\-\-slideshow\-stop\fR
+stop slide show
+.TP
+\fB\-\-tell\fR
+print filename [and Collection] of current image
+.TP
++t   \fB\-\-tools\-show\fR
+show tools
+.TP
+\fB\-t\fR   \fB\-\-tools\-hide\fR
+hide tools
+.TP
+\fB\-\-view\fR:<FILE>
+open FILE in new window
+.IP
+All other command line parameters are used as plain files if they exist.
+.IP
+The name of a collection, with or without either path or extension (.gqv) may be used.
 .SH BUGS
 Please send bug reports and feedback to https://github.com/BestImageViewer/geeqie/issues
-.SH AUTHOR
-.B John Ellis
-<johne@verizon.net>
-.br
-Manpage originally prepared by
-.B Nick Rusnov
-<nick@grawk.net>
+.SH COPYRIGHT
+Copyright (C) 1999-2004 by John Ellis. Copyright (C) 2004-2021 by The Geeqie Team. Use this software  at  your
+own  risk! This  software released under the GNU General Public License. Please read the COPYING file for more
+information.
+.SH "SEE ALSO"
+Full documentation: https://www.geeqie.org/help/GuideIndex.html
diff --git a/scripts/generate-man-page.sh b/scripts/generate-man-page.sh
new file mode 100755 (executable)
index 0000000..c5f6c2d
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/bash
+# Create the man page from the output of the "geeqie--help" command
+# and also create the xml file for Command Line Options
+#
+# This needs to be run only when the command line options change
+
+command -v help2man > /dev/null
+if [ $? -eq 1 ]
+then
+       echo "help2man not installed"
+       exit
+fi
+
+command -v doclifter > /dev/null
+if [ $? -eq 1 ]
+then
+       echo "doclifter not installed"
+       exit
+fi
+
+options_file=$(mktemp)
+
+echo "[NAME]
+Geeqie - GTK based multiformat image viewer
+
+[DESCRIPTION]
+Geeqie is an interactive GTK based image viewer that supports multiple image formats,
+zooming, panning, thumbnails and sorting images into collections.
+
+Generated for version:
+
+[SEE ALSO]
+Full documentation: https://www.geeqie.org/help/GuideIndex.html
+
+[BUGS]
+Please send bug reports and feedback to https://github.com/BestImageViewer/geeqie/issues
+
+[COPYRIGHT]
+Copyright (C) 1999-2004 by John Ellis. Copyright (C) 2004-2021 by The Geeqie Team. Use this software  at  your
+own  risk! This  software released under the GNU General Public License. Please read the COPYING file for more
+information." > "$options_file"
+
+
+help2man --no-info --include="$options_file" src/geeqie > geeqie.1
+
+doclifter geeqie.1
+mv geeqie.1.xml doc/docbook/CommandLineOptions.xml
+
+rm "$options_file"
index 0e4815a..c5026be 100644 (file)
@@ -591,33 +591,36 @@ static void parse_command_line(gint argc, gchar *argv[])
                                {
                                printf_term(FALSE, "%s %s\n", GQ_APPNAME, VERSION);
                                printf_term(FALSE, _("Usage: %s [options] [path]\n\n"), GQ_APPNAME_LC);
-                               print_term(FALSE, _("valid options are:\n"));
-                               print_term(FALSE, _("  +t, --with-tools                 force show of tools\n"));
-                               print_term(FALSE, _("  -t, --without-tools              force hide of tools\n"));
+                               print_term(FALSE, _("Valid options:\n"));
+                               print_term(FALSE, _("      --blank                      start with blank file list\n"));
+                               print_term(FALSE, _("      --cache-maintenance <path>   run cache maintenance in non-GUI mode\n"));
+                               print_term(FALSE, _("      --disable-clutter            disable use of Clutter library (i.e. GPU accel.)\n"));
                                print_term(FALSE, _("  -f, --fullscreen                 start in full screen mode\n"));
-                               print_term(FALSE, _("  -s, --slideshow                  start in slideshow mode\n"));
+                               print_term(FALSE, _("      --geometry=WxH+XOFF+YOFF     set main window location\n"));
+                               print_term(FALSE, _("  -h, --help                       show this message\n"));
                                print_term(FALSE, _("  -l, --list [files] [collections] open collection window for command line\n"));
-                               print_term(FALSE, _("      --blank                      start with blank file list\n"));
-                               print_term(FALSE, _("      --geometry=XxY+XOFF+YOFF     set main window location\n"));
                                print_term(FALSE, _("  -n, --new-instance               open a new instance of Geeqie\n"));
+                               print_term(FALSE, _("  -o:, --log-file:<file>     save log data to file\n"));
                                print_term(FALSE, _("  -r, --remote                     send following commands to open window\n"));
-                               print_term(FALSE, _("  -rh,--remote-help                print remote command list\n"));
+                               print_term(FALSE, _("  -rh, --remote-help               print remote command list\n"));
+                               print_term(FALSE, _("  -s, --slideshow                  start in slideshow mode\n"));
+                               print_term(FALSE, _("  +t, --with-tools                 force show of tools\n"));
+                               print_term(FALSE, _("  -t, --without-tools              force hide of tools\n"));
+                               print_term(FALSE, _("  -v, --version                    print version info\n"));
+                               print_term(FALSE, _("  +w, --show-log-window            show log window\n"));
 #ifdef DEBUG
                                print_term(FALSE, _("      --debug[=level]              turn on debug output\n"));
-                               print_term(FALSE, _("  -g:<regexp>, --grep:<regexp>     filter debug output\n"));
+                               print_term(FALSE, _("  -g:, --grep:<regexp>     filter debug output\n"));
 #endif
-                               print_term(FALSE, _("  +w, --show-log-window            show log window\n"));
-                               print_term(FALSE, _("  -o:<file>, --log-file:<file>     save log data to file\n"));
-                               print_term(FALSE, _("  -v, --version                    print version info\n"));
-                               print_term(FALSE, _("  -h, --help                       show this message\n"));
-                               print_term(FALSE, _("      --disable-clutter            disable use of Clutter library (i.e. GPU accel.)\n"));
-                               print_term(FALSE, _("      --cache-maintenance <path>   run cache maintenance in non-GUI mode\n\n"));
 
 #if 0
                                /* these options are not officially supported!
                                 * only for testing new features, no need to translate them */
                                print_term(FALSE, "  --alternate                use alternate similarity algorithm\n");
 #endif
+                               print_term(FALSE, "\n");
+
+                               remote_help();
 
 
                                exit(0);
index a10cb6a..293cddd 100644 (file)
@@ -1396,59 +1396,55 @@ struct _RemoteCommandEntry {
 
 static RemoteCommandEntry remote_commands[] = {
        /* short, long                  callback,               extra, prefer, parameter, description */
-       { "-n", "--next",               gr_image_next,          FALSE, FALSE, NULL, N_("next image") },
        { "-b", "--back",               gr_image_prev,          FALSE, FALSE, NULL, N_("previous image") },
+       { NULL, "--close-window",       gr_close_window,        FALSE, FALSE, NULL, N_("close window") },
+       { NULL, "--config-load: ",       gr_config_load,         TRUE,  FALSE, N_("<FILE>|layout ID"), N_(" load configuration from FILE") },
+       { "-cm","--cache-metadata",      gr_cache_metadata,               FALSE, FALSE, NULL, N_("clean the metadata cache") },
+       { "-cr:", "--cache-render:",    gr_cache_render,        TRUE, FALSE, N_("<folder>  "), N_(" render thumbnails") },
+       { "-crr:", "--cache-render-recurse:", gr_cache_render_recurse, TRUE, FALSE, N_("<folder> "), N_("render thumbnails recursively") },
+       { "-crs:", "--cache-render-shared:", gr_cache_render_standard, TRUE, FALSE, N_("<folder> "), N_(" render thumbnails (see Help)") },
+       { "-crsr:", "--cache-render-shared-recurse:", gr_cache_render_standard_recurse, TRUE, FALSE, N_("<folder>"), N_(" render thumbnails recursively (see Help)") },
+       { "-cs:", "--cache-shared:",    gr_cache_shared,        TRUE, FALSE, N_("clear|clean"), N_("clear or clean shared thumbnail cache") },
+       { "-ct:", "--cache-thumbs:",    gr_cache_thumb,         TRUE, FALSE, N_("clear|clean"), N_("clear or clean thumbnail cache") },
+       { "-d", "--delay=",             gr_slideshow_delay,     TRUE,  FALSE, N_("<[H:][M:][N][.M]>"), N_("set slide show delay to Hrs Mins N.M seconds") },
        { NULL, "--first",              gr_image_first,         FALSE, FALSE, NULL, N_("first image") },
-       { NULL, "--last",               gr_image_last,          FALSE, FALSE, NULL, N_("last image") },
        { "-f", "--fullscreen",         gr_fullscreen_toggle,   FALSE, TRUE,  NULL, N_("toggle full screen") },
-       { "-fs","--fullscreen-start",   gr_fullscreen_start,    FALSE, FALSE, NULL, N_("start full screen") },
-       { "-fS","--fullscreen-stop",    gr_fullscreen_stop,     FALSE, FALSE, NULL, N_("stop full screen") },
-       { "-s", "--slideshow",          gr_slideshow_toggle,    FALSE, TRUE,  NULL, N_("toggle slide show") },
-       { "-ss","--slideshow-start",    gr_slideshow_start,     FALSE, FALSE, NULL, N_("start slide show") },
-       { "-sS","--slideshow-stop",     gr_slideshow_stop,      FALSE, FALSE, NULL, N_("stop slide show") },
-       { NULL, "--slideshow-recurse:", gr_slideshow_start_rec, TRUE,  FALSE, N_("<FOLDER>"), N_("start recursive slide show in FOLDER") },
-       { "-d", "--delay=",             gr_slideshow_delay,     TRUE,  FALSE, N_("<[H:][M:][N][.M]>"), N_("set slide show delay to Hrs Mins N.M seconds") },
-       { "+t", "--tools-show",         gr_tools_show,          FALSE, TRUE,  NULL, N_("show tools") },
-       { "-t", "--tools-hide",         gr_tools_hide,          FALSE, TRUE,  NULL, N_("hide tools") },
-       { "-q", "--quit",               gr_quit,                FALSE, FALSE, NULL, N_("quit") },
-       { NULL, "--config-load:",       gr_config_load,         TRUE,  FALSE, N_("<FILE>|layout ID"), N_("load configuration from FILE") },
-       { NULL, "--get-sidecars:",      gr_get_sidecars,        TRUE,  FALSE, N_("<FILE>"), N_("get list of sidecars of FILE") },
-       { NULL, "--get-destination:",   gr_get_destination,     TRUE,  FALSE, N_("<FILE>"), N_("get destination path of FILE") },
-       { NULL, "file:",                gr_file_load,           TRUE,  FALSE, N_("<FILE>|<URL>"), N_("open FILE or URL, bring Geeqie window to the top") },
        { NULL, "--file:",              gr_file_load,           TRUE,  FALSE, N_("<FILE>|<URL>"), N_("open FILE or URL, bring Geeqie window to the top") },
-       { NULL, "File:",                gr_file_load_no_raise,  TRUE,  FALSE, N_("<FILE>|<URL>"), N_("open FILE or URL, do not bring Geeqie window to the top") },
        { NULL, "--File:",              gr_file_load_no_raise,  TRUE,  FALSE, N_("<FILE>|<URL>"), N_("open FILE or URL, do not bring Geeqie window to the top") },
-       { NULL, "--tell",               gr_file_tell,           FALSE, FALSE, NULL, N_("print filename [and Collection] of current image") },
-       { NULL, "--pixel-info",         gr_pixel_info,          FALSE, FALSE, NULL, N_("print pixel info of mouse pointer on current image") },
-       { NULL, "--get-rectangle",      gr_rectangle,           FALSE, FALSE, NULL, N_("get rectangle co-ordinates") },
-       { NULL, "--get-render-intent",  gr_render_intent,       FALSE, FALSE, NULL, N_("get render intent") },
-       { NULL, "--get-filelist:",      gr_filelist,            TRUE,  FALSE, N_("[<FOLDER>]"), N_("get list of files and class") },
-       { NULL, "--get-filelist-recurse:", gr_filelist_recurse, TRUE,  FALSE, N_("[<FOLDER>]"), N_("get list of files and class recursive") },
+       { "-fs","--fullscreen-start",   gr_fullscreen_start,    FALSE, FALSE, NULL, N_("start full screen") },
+       { "-fS","--fullscreen-stop",    gr_fullscreen_stop,     FALSE, FALSE, NULL, N_("stop full screen") },
+       { NULL, "--geometry=",          gr_geometry,            TRUE, FALSE, N_("<GEOMETRY>"), N_("set window geometry") },
        { NULL, "--get-collection:",    gr_collection,          TRUE,  FALSE, N_("<COLLECTION>"), N_("get collection content") },
        { NULL, "--get-collection-list", gr_collection_list,    FALSE, FALSE, NULL, N_("get collection list") },
+       { NULL, "--get-destination:",   gr_get_destination,     TRUE,  FALSE, N_("<FILE>"), N_("get destination path of FILE (See Plugins Configuration)") },
        { NULL, "--get-file-info",      gr_file_info,           FALSE, FALSE, NULL, N_("get file info") },
-       { NULL, "view:",                gr_file_view,           TRUE,  FALSE, N_("<FILE>"), N_("open FILE in new window") },
-       { NULL, "--view:",              gr_file_view,           TRUE,  FALSE, N_("<FILE>"), N_("open FILE in new window") },
-       { NULL, "--list-clear",         gr_list_clear,          FALSE, FALSE, NULL, N_("clear command line collection list") },
-       { NULL, "--list-add:",          gr_list_add,            TRUE,  FALSE, N_("<FILE>"), N_("add FILE to command line collection list") },
-       { NULL, "raise",                gr_raise,               FALSE, FALSE, NULL, N_("bring the Geeqie window to the top") },
-       { NULL, "--raise",              gr_raise,               FALSE, FALSE, NULL, N_("bring the Geeqie window to the top") },
+       { NULL, "--get-filelist:",      gr_filelist,            TRUE,  FALSE, N_("[<FOLDER>]"), N_("get list of files and class") },
+       { NULL, "--get-filelist-recurse:", gr_filelist_recurse, TRUE,  FALSE, N_("[<FOLDER>]"), N_("get list of files and class recursive") },
+       { NULL, "--get-rectangle",      gr_rectangle,           FALSE, FALSE, NULL, N_("get rectangle co-ordinates") },
+       { NULL, "--get-render-intent",  gr_render_intent,       FALSE, FALSE, NULL, N_("get render intent") },
+       { NULL, "--get-sidecars:",      gr_get_sidecars,        TRUE,  FALSE, N_("<FILE>"), N_("get list of sidecars of FILE") },
        { NULL, "--id:",                gr_lw_id,               TRUE, FALSE, N_("<ID>"), N_("window id for following commands") },
-       { NULL, "--new-window",         gr_new_window,          FALSE, FALSE, NULL, N_("new window") },
-       { NULL, "--close-window",       gr_close_window,        FALSE, FALSE, NULL, N_("close window") },
-       { NULL, "--geometry=",          gr_geometry,            TRUE, FALSE, N_("<GEOMETRY>"), N_("set window geometry") },
-       { "-ct:", "--cache-thumbs:",    gr_cache_thumb,         TRUE, FALSE, N_("clear|clean"), N_("clear or clean thumbnail cache") },
-       { "-cs:", "--cache-shared:",    gr_cache_shared,        TRUE, FALSE, N_("clear|clean"), N_("clear or clean shared thumbnail cache") },
-       { "-cm","--cache-metadata",      gr_cache_metadata,               FALSE, FALSE, NULL, N_("    clean the metadata cache") },
-       { "-cr:", "--cache-render:",    gr_cache_render,        TRUE, FALSE, N_("<folder>  "), N_(" render thumbnails") },
-       { "-crr:", "--cache-render-recurse:", gr_cache_render_recurse, TRUE, FALSE, N_("<folder> "), N_("render thumbnails recursively") },
-       { "-crs:", "--cache-render-shared:", gr_cache_render_standard, TRUE, FALSE, N_("<folder> "), N_(" render thumbnails (see Help)") },
-       { "-crsr:", "--cache-render-shared-recurse:", gr_cache_render_standard_recurse, TRUE, FALSE, N_("<folder>"), N_(" render thumbnails recursively (see Help)") },
+       { NULL, "--last",               gr_image_last,          FALSE, FALSE, NULL, N_("last image") },
+       { NULL, "--list-add:",          gr_list_add,            TRUE,  FALSE, N_("<FILE>"), N_("add FILE to command line collection list") },
+       { NULL, "--list-clear",         gr_list_clear,          FALSE, FALSE, NULL, N_("clear command line collection list") },
 #ifdef HAVE_LUA
        { NULL, "--lua:",               gr_lua,                 TRUE, FALSE, N_("<FILE>,<lua script>"), N_("run lua script on FILE") },
 #endif
-       { NULL, "--PWD:",               gr_pwd,                 TRUE, FALSE, N_("<PWD>"), N_("use PWD as working directory for following commands") },
+       { NULL, "--new-window",         gr_new_window,          FALSE, FALSE, NULL, N_("new window") },
+       { "-n", "--next",               gr_image_next,          FALSE, FALSE, NULL, N_("next image") },
+       { NULL, "--pixel-info",         gr_pixel_info,          FALSE, FALSE, NULL, N_("print pixel info of mouse pointer on current image") },
        { NULL, "--print0",             gr_print0,              TRUE, FALSE, NULL, N_("terminate returned data with null character instead of newline") },
+       { NULL, "--PWD:",               gr_pwd,                 TRUE, FALSE, N_("<PWD>"), N_("use PWD as working directory for following commands") },
+       { "-q", "--quit",               gr_quit,                FALSE, FALSE, NULL, N_("quit") },
+       { NULL, "--raise",              gr_raise,               FALSE, FALSE, NULL, N_("bring the Geeqie window to the top") },
+       { "-s", "--slideshow",          gr_slideshow_toggle,    FALSE, TRUE,  NULL, N_("toggle slide show") },
+       { NULL, "--slideshow-recurse:", gr_slideshow_start_rec, TRUE,  FALSE, N_("<FOLDER>"), N_("start recursive slide show in FOLDER") },
+       { "-ss","--slideshow-start",    gr_slideshow_start,     FALSE, FALSE, NULL, N_("start slide show") },
+       { "-sS","--slideshow-stop",     gr_slideshow_stop,      FALSE, FALSE, NULL, N_("stop slide show") },
+       { NULL, "--tell",               gr_file_tell,           FALSE, FALSE, NULL, N_("print filename [and Collection] of current image") },
+       { "+t", "--tools-show",         gr_tools_show,          FALSE, TRUE,  NULL, N_("show tools") },
+       { "-t", "--tools-hide",         gr_tools_hide,          FALSE, TRUE,  NULL, N_("hide tools") },
+       { NULL, "--view:",              gr_file_view,           TRUE,  FALSE, N_("<FILE>"), N_("open FILE in new window") },
        { NULL, NULL, NULL, FALSE, FALSE, NULL, NULL }
 };
 
@@ -1520,19 +1516,18 @@ void remote_help(void)
                {
                if (remote_commands[i].description)
                        {
-                       s_opt_param = g_strconcat(remote_commands[i].opt_s, remote_commands[i].parameter, NULL);
+                       s_opt_param = g_strdup(remote_commands[i].opt_s  ? remote_commands[i].opt_s : "" );
                        l_opt_param = g_strconcat(remote_commands[i].opt_l, remote_commands[i].parameter, NULL);
-                       printf_term(FALSE, "  %-11s%-1s %-30s%-s\n",
-                                   (remote_commands[i].opt_s) ? s_opt_param : "",
-                                   (remote_commands[i].opt_s && remote_commands[i].opt_l) ? "," : " ",
-                                   (remote_commands[i].opt_l) ? l_opt_param : "",
-                                   _(remote_commands[i].description));
+                       printf_term(FALSE, "  %-4s %-40s%-s\n",
+                                       s_opt_param,
+                                       l_opt_param,
+                                       remote_commands[i].description);
                        g_free(s_opt_param);
                        g_free(l_opt_param);
                        }
                i++;
                }
-       printf_term(FALSE, N_("\n  All other command line parameters are used as plain files if they exists.\n"));
+       printf_term(FALSE, N_("\n\n  All other command line parameters are used as plain files if they exist.\n\n  The name of a collection, with or without either path or extension (.gqv) may be used.\n"));
 }
 
 GList *remote_build_list(GList *list, gint argc, gchar *argv[], GList **errors)